Skip to content

Managed WordPress

All operations require authentication.

11 operationsv2/managedCMS/customerApproval · /managedCMS/reference · /managedCMS/resource
Agent setup

List servicesAlpha

GET
/v2/managedCMS/resource

Returns the Managed CMS services of the account.

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200ServiceWithIAM[]successful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
ServiceCurrentState

Current state of the service

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the service

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the service

resourceStatus
read-only
ResourceStatusEnum

Service readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "createdAt": "2024-01-01T12:00:00Z", "dashboards": { "wordpress": "string" }, "plan": "string", "quotas": { "disk": { "additionalQuotaBytes": 0, "planQuotaBytes": 0, "totalQuotaBytes": 0, "totalUsageBytes": 0 }, "visits": { "boosts": [ { "createdAt": null, "currentAmount": null, "expiresAt": null, "initialAmount": null } ], "planQuota": 0, "totalAdditionalQuota": 0, "totalQuota": 0, "totalUsage": 0 }, "websites": { "additionalQuota": 0, "planQuota": 0, "totalQuota": 0, "totalUsage": 0 } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING" }]

List available CMSAlpha

GET
/v2/managedCMS/reference/availableCMS

Returns the content management systems a website can be created with.

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200CMSEnum[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/reference/availableCMS \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "WORDPRESS"]

List available languagesAlpha

GET
/v2/managedCMS/reference/availableLanguages

Returns the languages a website can be configured with at creation, with their display name. Filter them by CMS.

Query parameters

cms
required
CMSEnum

For which content management system

ValuesWORDPRESS

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Language[]successful operation
code
read-only
LanguageEnum

Code to send when setting the language of a CMS

Valuesde_DEen_GBen_USes_ESfr_CAfr_FRit_ITpl_PLpt_PT
name
read-only
string

Name of the language as displayed in the interfaces

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/reference/availableLanguages \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "code": "de_DE", "name": "string" }]

List supported PHP versionsAlpha

GET
/v2/managedCMS/reference/supportedPHPVersions

Returns the PHP versions a website can use. Filter them by CMS.

Query parameters

cms
required
CMSEnum

For which content management system

ValuesWORDPRESS

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/reference/supportedPHPVersions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a serviceAlpha

GET
/v2/managedCMS/resource/{serviceId}

Returns the plan, dashboard URLs and disk, visits and websites quotas of the service, with its running tasks.

Path parameters

serviceId
required
stringuuid

Service ID

Response

200ServiceWithIAMsuccessful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
ServiceCurrentState

Current state of the service

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the service

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the service

resourceStatus
read-only
ResourceStatusEnum

Service readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "createdAt": "2024-01-01T12:00:00Z", "dashboards": { "wordpress": "string" }, "plan": "string", "quotas": { "disk": { "additionalQuotaBytes": 0, "planQuotaBytes": 0, "totalQuotaBytes": 0, "totalUsageBytes": 0 }, "visits": { "boosts": [ { "createdAt": "2024-01-01T12:00:00Z", "currentAmount": 0, "expiresAt": "2024-01-01T12:00:00Z", "initialAmount": 0 } ], "planQuota": 0, "totalAdditionalQuota": 0, "totalQuota": 0, "totalUsage": 0 }, "websites": { "additionalQuota": 0, "planQuota": 0, "totalQuota": 0, "totalUsage": 0 } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING"}

Flush the CDN of all websitesAlpha

POST
/v2/managedCMS/resource/{serviceId}/flushCDN

Flushes the CDN cache of all the websites of the service and returns the task. Fails if a task is already running on the service.

Path parameters

serviceId
required
stringuuid

Service ID

Response

200CurrentTasksuccessful operation
errors
read-only
TaskError[]

Errors that occurred on the task

id
read-only
stringuuid

Identifier of the current task

link
read-only
string

Link to the task details

status
read-only
CurrentTaskStatusEnum

Current global status of the current task

ValuesERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the current task

400objectError 400 response
409objectError 409 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/flushCDN \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string"}

Update a serviceAlpha

PUT
/v2/managedCMS/resource/{serviceId}

Updates the service. Set flushCDNDate to a new date to flush the CDN of all its websites.

Path parameters

serviceId
required
stringuuid

Service ID

Request body (required)

targetSpec
ServiceEditionTargetSpec

Target specification to edit a service

Response

200Servicesuccessful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
ServiceCurrentState

Current state of the service

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the service

id
read-only
stringuuid

Unique identifier of the service

resourceStatus
read-only
ResourceStatusEnum

Service readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
400objectError 400 response
409objectError 409 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "createdAt": "2024-01-01T12:00:00Z", "dashboards": { "wordpress": "string" }, "plan": "string", "quotas": { "disk": { "additionalQuotaBytes": 0, "planQuotaBytes": 0, "totalQuotaBytes": 0, "totalUsageBytes": 0 }, "visits": { "boosts": [ { "createdAt": "2024-01-01T12:00:00Z", "currentAmount": 0, "expiresAt": "2024-01-01T12:00:00Z", "initialAmount": 0 } ], "planQuota": 0, "totalAdditionalQuota": 0, "totalQuota": 0, "totalUsage": 0 }, "websites": { "additionalQuota": 0, "planQuota": 0, "totalQuota": 0, "totalUsage": 0 } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING"}

List customer approvalsAlpha

GET
/v2/managedCMS/customerApproval

Returns the customer approvals of the account. Filter them by approval code, resource type or resource ID.

Query parameters

approvalCode
CustomerApprovalCodeEnum

Code identifying the operation the customer approves

ValuesTECH_ACCESS_DISCLAIMER
resourceId
string

Identifier of the resource the approval targets

resourceType
CustomerApprovalResourceTypeEnum

Type of the resource the approval targets

ValuesRESOURCE

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200CustomerApproval[]successful operation
approvalCode
read-only
CustomerApprovalCodeEnum

Code identifying the operation the customer approves

ValuesTECH_ACCESS_DISCLAIMER
approved
read-only
boolean

Whether the customer approved the operation

createdAt
read-only
stringdate-time

Date when the customer approval was registered

id
read-only
stringuuid

Unique identifier of the customer approval

resourceId
read-only
string

Identifier of the resource the approval targets

resourceType
read-only
CustomerApprovalResourceTypeEnum

Type of the resource the approval targets

ValuesRESOURCE

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/customerApproval \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "approvalCode": "TECH_ACCESS_DISCLAIMER", "approved": true, "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "resourceId": "string", "resourceType": "RESOURCE" }]

Get a customer approvalAlpha

GET
/v2/managedCMS/customerApproval/{customerApprovalId}

Returns the approved operation, the target resource, the decision and the registration date.

Path parameters

customerApprovalId
required
stringuuid

Customer approval ID

Response

200CustomerApprovalsuccessful operation
approvalCode
read-only
CustomerApprovalCodeEnum

Code identifying the operation the customer approves

ValuesTECH_ACCESS_DISCLAIMER
approved
read-only
boolean

Whether the customer approved the operation

createdAt
read-only
stringdate-time

Date when the customer approval was registered

id
read-only
stringuuid

Unique identifier of the customer approval

resourceId
read-only
string

Identifier of the resource the approval targets

resourceType
read-only
CustomerApprovalResourceTypeEnum

Type of the resource the approval targets

ValuesRESOURCE

Example uses customerApprovalId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/customerApproval/{customerApprovalId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "approvalCode": "TECH_ACCESS_DISCLAIMER", "approved": true, "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "resourceId": "string", "resourceType": "RESOURCE"}

Create an application password on a dashboard of the serviceBeta

POST
/v2/managedCMS/resource/{serviceId}/dashboard/applicationPassword

Each call creates a new application password on the existing administrator user. The previous ones stay valid. They can be revoked from the CMS administration.

Path parameters

serviceId
required
stringuuid

Service ID

Request body (required)

cms
required
CMSEnum

CMS of the dashboard

ValuesWORDPRESS

Response

200ApplicationPasswordsuccessful operation
login
read-only
string

Login of the user the application password belongs to

password
read-only
stringpassword

Application password to authenticate as login on the CMS API, returned only in this response

400objectError 400 response
404objectError 404 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/dashboard/applicationPassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "login": "string", "password": "string"}

Register a customer approvalAlpha

POST
/v2/managedCMS/customerApproval

Registers whether the customer approves an operation on a resource.

Request body (required)

approvalCode
required
CustomerApprovalCodeEnum

Code identifying the operation the customer approves

ValuesTECH_ACCESS_DISCLAIMER
approved
required
boolean

Whether the customer approves the operation

resourceId
required
string

Identifier of the resource the approval targets

resourceType
required
CustomerApprovalResourceTypeEnum

Type of the resource the approval targets

ValuesRESOURCE

Response

200CustomerApprovalsuccessful operation
approvalCode
read-only
CustomerApprovalCodeEnum

Code identifying the operation the customer approves

ValuesTECH_ACCESS_DISCLAIMER
approved
read-only
boolean

Whether the customer approved the operation

createdAt
read-only
stringdate-time

Date when the customer approval was registered

id
read-only
stringuuid

Unique identifier of the customer approval

resourceId
read-only
string

Identifier of the resource the approval targets

resourceType
read-only
CustomerApprovalResourceTypeEnum

Type of the resource the approval targets

ValuesRESOURCE

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/customerApproval \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "approvalCode": "TECH_ACCESS_DISCLAIMER", "approved": true, "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "resourceId": "string", "resourceType": "RESOURCE"}